libstdc++: __gnu_pbds::detail::ranged_hash_fn< Key, null_type, _Alloc, Comb_Hash_Fn, false > Class Template Reference

libstdc++

__gnu_pbds::detail::ranged_hash_fn< Key, null_type, _Alloc, Comb_Hash_Fn, false > Class Template Reference

`#include <ranged_hash_fn.hpp>`

## Protected Types
typedef Comb_Hash_Fn | comb_hash_fn_base
typedef _Alloc::size_type | size_type

## Protected Member Functions
| ranged_hash_fn (size_type)
| ranged_hash_fn (size_type, const Comb_Hash_Fn &)
| ranged_hash_fn (size_type, const null_type &, const Comb_Hash_Fn &)
void | swap (ranged_hash_fn< Key, null_type, _Alloc, Comb_Hash_Fn, false > &)

## Detailed Description

template<typename Key, typename _Alloc, typename Comb_Hash_Fn>
class __gnu_pbds::detail::ranged_hash_fn< Key, null_type, _Alloc, Comb_Hash_Fn, false >

Specialization 3 The client does not supply a hash function (by specifying null_type as the Hash_Fn parameter), and requests that hash values not be stored.

Definition at line 256 of file ranged_hash_fn.hpp.

## Member Typedef Documentation

## ◆ comb_hash_fn_base

template<typename Key, typename _Alloc, typename Comb_Hash_Fn>

typedef Comb_Hash_Fn __gnu_pbds::detail::ranged_hash_fn< Key, null_type, _Alloc, Comb_Hash_Fn, false >::comb_hash_fn_base
| protected

Definition at line 261 of file ranged_hash_fn.hpp.

## ◆ size_type

template<typename Key, typename _Alloc, typename Comb_Hash_Fn>

typedef _Alloc::size_type __gnu_pbds::detail::ranged_hash_fn< Key, null_type, _Alloc, Comb_Hash_Fn, false >::size_type
| protected

Definition at line 260 of file ranged_hash_fn.hpp.

## Constructor & Destructor Documentation

## ◆ ranged_hash_fn() [1/3]

template<typename Key, typename _Alloc, typename Comb_Hash_Fn>

__gnu_pbds::detail::ranged_hash_fn< Key, null_type, _Alloc, Comb_Hash_Fn, false >::ranged_hash_fn | ( | size_type | size | ) |
| protected

Definition at line 274 of file ranged_hash_fn.hpp.

## ◆ ranged_hash_fn() [2/3]

template<typename Key, typename _Alloc, typename Comb_Hash_Fn>

__gnu_pbds::detail::ranged_hash_fn< Key, null_type, _Alloc, Comb_Hash_Fn, false >::ranged_hash_fn | ( | size_type | size,
|  | const Comb_Hash_Fn & | r_comb_hash_fn )
| protected

Definition at line 279 of file ranged_hash_fn.hpp.

## ◆ ranged_hash_fn() [3/3]

template<typename Key, typename _Alloc, typename Comb_Hash_Fn>

__gnu_pbds::detail::ranged_hash_fn< Key, null_type, _Alloc, Comb_Hash_Fn, false >::ranged_hash_fn | ( | size_type | size,
|  | const null_type & | r_null_type,
|  | const Comb_Hash_Fn & | r_comb_hash_fn )
| protected

Definition at line 285 of file ranged_hash_fn.hpp.

## Member Function Documentation

## ◆ swap()

template<typename Key, typename _Alloc, typename Comb_Hash_Fn>

void __gnu_pbds::detail::ranged_hash_fn< Key, null_type, _Alloc, Comb_Hash_Fn, false >::swap | ( | ranged_hash_fn< Key, null_type, _Alloc, Comb_Hash_Fn, false > & | other | ) |
| protected

Definition at line 293 of file ranged_hash_fn.hpp.

The documentation for this class was generated from the following file:

- ranged_hash_fn.hpp